Package com.emc.documentum.rest.model

# Class Server

java.lang.Object
com.emc.documentum.rest.model.Server

public class Server extends Object
Model for server info in repository resource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Server()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocbroker()`
  Getter for doc broker of server
  `String`
  `getHost()`
  Getter for server host
  `String`
  `getName()`
  Getter for server name
  `String`
  `getVersion()`
  Getter for server version
  `void`
  `setDocbroker(String docbroker)`
  Setter for doc borker of server
  `void`
  `setHost(String host)`
  Setter for server host
  `void`
  `setName(String name)`
  Setter for server name
  `void`
  `setVersion(String version)`
  Setter for server version

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Server

    public Server()

- ## Method Details

  - ### getName

    public String getName()
    Getter for server name
    Returns:
      server name

  - ### setName

    public void setName(String name)
    Setter for server name
    Parameters:
      `name` - server name

  - ### getHost

    public String getHost()
    Getter for server host
    Returns:
      server host

  - ### setHost

    public void setHost(String host)
    Setter for server host
    Parameters:
      `host` - server host

  - ### getVersion

    public String getVersion()
    Getter for server version
    Returns:
      server version

  - ### setVersion

    public void setVersion(String version)
    Setter for server version
    Parameters:
      `version` - server version

  - ### getDocbroker

    public String getDocbroker()
    Getter for doc broker of server
    Returns:
      doc broker of server

  - ### setDocbroker

    public void setDocbroker(String docbroker)
    Setter for doc borker of server
    Parameters:
      `docbroker` - doc broker of server